## dxvk 2.7

=== debian/changelog ===
dxvk (2.7-1) unstable; urgency=medium

  * NUR:
    - remove patches applied upstream
    - add upstream patch to fix version s/2.7/2.7.0/, breaking meson rules

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 16 Aug 2025 05:58:12 +0900

=== debian/control ===
Source: dxvk
Section: libs
Priority: optional
Maintainer: Alexandre Viau <aviau@debian.org>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends: debhelper-compat (= 13),
               glslang-tools,
               meson,
               ninja-build,
               libsdl2-dev,
               libsdl3-dev,
               libwine-dev [amd64 arm64 i386 armhf] <!nowindows>,
               libvulkan-dev,
               spirv-headers,
               gcc-mingw-w64-x86-64-posix [amd64 arm64] <!nowindows>,
               gcc-mingw-w64-i686-posix [i386 armhf] <!nowindows>,
               g++-mingw-w64-x86-64-posix [amd64 arm64] <!nowindows>,
               g++-mingw-w64-i686-posix [i386 armhf] <!nowindows>,
               rename,
               llvm,
Standards-Version: 4.7.2
Homepage: https://github.com/doitsujin/dxvk
Vcs-Browser: https://salsa.debian.org/aviau/dxvk
Vcs-Git: https://salsa.debian.org/aviau/dxvk.git
Rules-Requires-Root: no

Package: dxvk
Build-Profiles: <!nowindows>
Section: utils
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dxvk-wine64 (>= ${source:Version}) | dxvk-wine32 (>= ${source:Version}),
Recommends: dxvk-wine32,
            dxvk-wine64,
Description: Vulkan-based translation layer for Direct3D 8/9/10/11
 DXVK is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows running 3D applications on Linux using Wine.
 .
 DXVK aims to provide support for D3D11, feature level 12_1, and
 D3D10, feature level 10_1.
 .
 This package contains the dxvk-setup script that configures
 or removes DXVK from a Wine prefix.

Package: dxvk-wine32
Build-Profiles: <!nowindows>
Architecture: i386 armhf
Multi-Arch: foreign
Recommends: dxvk
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Vulkan-based translation layer for Direct3D 8/9/10/11 - wine32 build
 DXVK is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows running 3D applications on Linux using Wine.
 .
 DXVK aims to provide support for D3D11, feature level 12_1, and
 D3D10, feature level 10_1.
 .
 This package contains the wine32 build.

Package: dxvk-wine64
Build-Profiles: <!nowindows>
Architecture: amd64 arm64
Multi-Arch: foreign
Recommends: dxvk
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Vulkan-based translation layer for Direct3D 8/9/10/11 - wine64 build
 DXVK is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows running 3D applications on Linux using Wine.
 .
 DXVK aims to provide support for D3D11, feature level 12_1, and
 D3D10, feature level 10_1.
 .
 This package contains the wine64 build.

Package: dxvk-wine32-development
Build-Profiles: <!nowindows>
Depends: dxvk-wine32, ${misc:Depends}
Architecture: i386 armhf
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: dxvk-wine64-development
Build-Profiles: <!nowindows>
Depends: dxvk-wine64, ${misc:Depends}
Architecture: amd64 arm64
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libdxvk-native-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdxvk-dxgi0 (= ${binary:Version}),
         libdxvk-d3d8-0 (= ${binary:Version}),
         libdxvk-d3d9-0 (= ${binary:Version}),
         libdxvk-d3d10core0 (= ${binary:Version}),
         libdxvk-d3d11-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 8/9/10/11 - development files
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 DXVK aims to provide support for D3D11, feature level 11_1, and
 D3D10, feature level 10_1.
 .
 This package contains the development headers necessary to compile
 applications that use the Direct3D APIs, including a minimal subset
 of required Windows header definitions.

Package: libdxvk-dxgi0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 8/9/10/11 - graphics infrastructure
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 This package contains DXVK's implementation of Microsoft's
 DirectX Graphics Infrastructure (DXGI) API, a layer shared
 by Direct3D 10 and 11.

Package: libdxvk-d3d8-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 8
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 This package contains DXVK's implementation of the Direct3D 9 API.

Package: libdxvk-d3d9-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 9
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 This package contains DXVK's implementation of the Direct3D 9 API.

Package: libdxvk-d3d10core0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 10
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 This package contains DXVK's implementation of the Direct3D 10 API.

Package: libdxvk-d3d11-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 11
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 This package contains DXVK's implementation of the Direct3D 11 API.

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

include /usr/share/dpkg/architecture.mk

# The name of the build-*.txt profile to choose
WINE_BUILD_NAME = win$(DEB_HOST_ARCH_BITS)

# The directory in which we will build
WINE_BUILD_DIR   = build-$(WINE_BUILD_NAME)

%:
	dh $@

# fails with: unrecognized option '-z'
export DEB_BUILD_MAINT_OPTIONS := hardening=-relro

# Use amd64 build flags when building the package on 64 bit architectures, i386
# otherwise
ifeq ($(DEB_HOST_ARCH_BITS),64)
	WINE_CFLAGS = $(shell dpkg-architecture -aamd64 -f -c dpkg-buildflags --get CFLAGS)
	WINE_CXXFLAGS = $(shell dpkg-architecture -aamd64 -f -c dpkg-buildflags --get CXXFLAGS)
else
	WINE_CFLAGS = $(shell dpkg-architecture -ai386 -f -c dpkg-buildflags --get CFLAGS)
	WINE_CXXFLAGS = $(shell dpkg-architecture -ai386 -f -c dpkg-buildflags --get CXXFLAGS)
endif

LDFLAGS += -flto -Wl,--build-id

# Meson flags
# TODO: why do dll files end-up in the bindir directory???
WINE_MESON_FLAGS = --buildtype=plain \
			   --cross-file=build-$(WINE_BUILD_NAME).txt \
			   --prefix=/usr \
			   --bindir=lib/dxvk/wine$(DEB_HOST_ARCH_BITS) \
			   --libdir=lib/dxvk/wine$(DEB_HOST_ARCH_BITS) \
               $(WINE_BUILD_DIR)

NATIVE_MESON_FLAGS = \
	-Dnative_glfw=disabled \
	-Dnative_sdl2=enabled \
	-Dnative_sdl3=enabled \
	$(NULL)

execute_after_dh_auto_clean:
	rm -fr $(WINE_BUILD_DIR)

override_dh_auto_configure:
	echo "blhc: ignore-line-regexp: C\+\+ linker for the build machine: .*"

	mkdir -p include/vulkan/include include/spirv/include
	# DXVK 2.0 now links to vulkan and spirv headers using submodules
	# add temporary symlinks to use packaged headers instead
	ln -s /usr/include/vulkan include/vulkan/include/vulkan
	ln -s /usr/include/vk_video include/vulkan/include/vk_video
	ln -s /usr/include/spirv include/spirv/include/spirv

	# DXVK 2.1 now embeds libdisplay-info
	# TODO: use libdisplay-info-src instead when no need for the fork
	#ln -s /usr/src/libdisplay-info-src subprojects/libdisplay-info
	mkdir -p subprojects
	rm -fr subprojects/libdisplay-info
	ln -fns ../libdisplay-info subprojects/
	test -f subprojects/libdisplay-info/displayid.c

	# DXVK Native requires a subset of MinGW DirectX headers
	mkdir -p include/native
	rm -fr include/native/directx
	ln -fns ../../mingw-directx-headers include/native/directx
	test -f include/native/directx/d3d.h

	dh_auto_configure -- $(NATIVE_MESON_FLAGS)

ifneq ($(filter dxvk-wine%,$(built_binaries)),)
	echo "WINE_MESON_FLAGS: $(WINE_MESON_FLAGS)"
	CFLAGS="$(WINE_CFLAGS)" CXXFLAGS="$(WINE_CXXFLAGS)" meson setup $(WINE_MESON_FLAGS)
endif

ifneq ($(filter dxvk-wine%,$(built_binaries)),)
execute_after_dh_auto_build:
	dh_auto_build --buildsystem=ninja --builddirectory=$(WINE_BUILD_DIR)
endif

execute_after_dh_auto_install:
	find debian/tmp/usr/include \( -name "*.txt" -o -name "*.md" \) -delete
ifneq ($(filter dxvk-wine%,$(built_binaries)),)
	dh_auto_install --buildsystem=ninja --builddirectory=$(WINE_BUILD_DIR)
	# we could change the install script but then the previous installations would be broken
	rename 's/\.dll$$/.dll.so/' debian/tmp/usr/lib/dxvk/wine$(DEB_HOST_ARCH_BITS)/*.dll
endif

override_dh_strip:
ifneq ($(filter dxvk-wine%,$(built_binaries)),)
	# strip debug info out of ddls and store it in a separate debug file
	# (dh_strip for windows)
	./debian/strip_debug.sh dxvk-wine$(DEB_HOST_ARCH_BITS)
endif
	# call dh_strip to create the doc directory
	dh_strip

override_dh_shlibdeps:
	dh_shlibdeps -- -l/usr/lib/$(DEB_HOST_MULTIARCH)/wine

execute_after_dh_clean:
	rm -rf include/vulkan include/spirv subprojects

=== debian/tests/control ===
Tests: check-dxvk-setup
# cross-test-friendly autopkgtest deps
# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1005883
Depends: dxvk,
         dxvk-wine64 [amd64],
         dxvk-wine32 [i386],
         wine,
         wine64 [amd64],
         wine32 [i386],
         xvfb,
         xauth
Restrictions: allow-stderr

Tests: libdxvk-native-dev
Depends: build-essential,
         libdxvk-native-dev,
         libsdl2-dev,
         libsdl3-dev,
         pkg-config,
Restrictions: allow-stderr

## dxvk 2.7.1

=== meson_options.txt ===
option('enable_dxgi',  type : 'boolean', value : true, description: 'Build DXGI')
option('enable_d3d8',  type : 'boolean', value : true, description: 'Build D3D8')
option('enable_d3d9',  type : 'boolean', value : true, description: 'Build D3D9')
option('enable_d3d10', type : 'boolean', value : true, description: 'Build D3D10')
option('enable_d3d11', type : 'boolean', value : true, description: 'Build D3D11')
option('build_id',     type : 'boolean', value : false)
option('native_glfw',  type : 'feature', value : 'auto', description: 'Enable GLFW WSI for DXVK Native')
option('native_sdl2',  type : 'feature', value : 'auto', description: 'Enable SDL2 WSI for DXVK Native')
option('native_sdl3',  type : 'feature', value : 'auto', description: 'Enable SDL3 WSI for DXVK Native')

=== debian/changelog ===
dxvk (2.7.1-2) unstable; urgency=medium

  * Alexandre Viau kindly handed over maintainership to me.
  * Package repository moved to the Debian collaborative group.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 10 Nov 2025 18:27:56 +0900

dxvk (2.7.1-1) unstable; urgency=medium

  * New upstream bugfix release:
    - remove obsolete upstream_version_fix.patch.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 08 Nov 2025 20:51:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dxvk
 Section: libs
 Priority: optional
-Maintainer: Alexandre Viau <aviau@debian.org>
-Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends: debhelper-compat (= 13),
                glslang-tools,
                meson,
@@ -20,8 +19,8 @@
                llvm,
 Standards-Version: 4.7.2
 Homepage: https://github.com/doitsujin/dxvk
-Vcs-Browser: https://salsa.debian.org/aviau/dxvk
-Vcs-Git: https://salsa.debian.org/aviau/dxvk.git
+Vcs-Browser: https://salsa.debian.org/debian/dxvk
+Vcs-Git: https://salsa.debian.org/debian/dxvk.git
 Rules-Requires-Root: no
 
 Package: dxvk

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+ds\d*$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dxvk-\$1\.tar\.gz/ \
  https://github.com/doitsujin/dxvk/tags .*/v?(\d\S*)\.tar\.gz

# Vendored fork of libdisplay-info, see .gitmodules.
# DXVK v2.6 corresponds to commit 275e6459c7ab1ddd4b125f28d0440716e4888078
opts=\
component=libdisplay-info,\
compression=gz,\
dversionmangle=s/\+ds\d*$//,\
mode=git,\
pgpmode=none,\
pretty=libdisplay-info-git%cd.%h \
  https://github.com/doitsujin/libdisplay-info \
  heads/windows \
  ignore

# Vendored subset of of mingw-w64-common, see .gitmodules.
# The URL that is given in .gitmodules redirects to here.
# DXVK v2.6 corresponds to commit 9df86f2341616ef1888ae59919feaa6d4fad693d
opts=\
component=mingw-directx-headers,\
compression=gz,\
dversionmangle=s/\+ds\d*$//,\
mode=git,\
pgpmode=none,\
pretty=mingw-directx-headers-git%cd.%h \
  https://github.com/misyltoad/mingw-directx-headers \
  HEAD \
  ignore
